---
id: packages-development-bfapiclient-examples-README
---
# BFAPI Client - TypeScript SDK - Examples

This directory contains usage examples and tutorials for BFAPI Client - TypeScript SDK.

## Available Examples

- [Basic Usage](./basic-usage) - Getting started with BFAPI Client - TypeScript SDK
- [Advanced Configuration](./advanced-config) - Advanced setup and configuration
- [Integration Examples](./integration) - Integration with other services

## Running Examples

Follow the setup instructions in [../setup.md](../setup) first, then:

```bash
# Navigate to project directory
cd bfapiclient

# Run specific example
npm run example:basic  # or relevant command
```

## Contributing Examples

When adding new examples:

1. Create a new .md file with descriptive name
2. Include working code samples
3. Add setup instructions
4. Update this README with link to your example

---

*Part of the [BFAPI Client - TypeScript SDK](../index) documentation.*
