---
id: projects-bfrfp
---
# BFRFP - AI Content Generation

AI-powered content generation and RFP automation service

## Project Information

- **Category**: AI Services
- **Repository**: [https://gitlab.bluefly.io/ecosystem/bfrfp](https://gitlab.bluefly.io/ecosystem/bfrfp)
- **Local Path**: `../bfrfp`
\n- **Language**: TypeScript\n- **Type**: content-service\n- **Port**: 3003

## Documentation


### Local Documentation
The project documentation is available in the project directory:
- [View Local Docs](file://./_CommonNPM/bfrfp/docs)
- Path: `./_CommonNPM/bfrfp/docs`

### Available Documentation
Documentation structure not defined in config.


## Integration with Platform

### API Access
- **Default Port**: 3003
- **Health Check**: `http://localhost:3003/health`
- **API Docs**: `http://localhost:3003/api-docs`

## Quick Commands

```bash
# Navigate to project
cd ../bfrfp

# View documentation
open ./_CommonNPM/bfrfp/docs

# Start development
# See project README for start command
```

## Related Documentation

- [Platform Overview](/architecture/)
- [Integration Patterns](/integration/)
- [Development Guide](/development/)


---

*This is a reference page. The actual documentation is maintained in the [project repository](https://gitlab.bluefly.io/ecosystem/bfrfp).*
