---
id: move_consolidated-QUICK_DOCS_NAVIGATION
---
# Quick Documentation Navigation

## 🎯 **Start Here**
- **[Platform Overview](../../_CommonNPM/BFDocs (DEPRECATED - migrate to Docusaurus) platform documentation
- **[Technical Overview](../../BLUEFLY_ECOSYSTEM_TECHNICAL_OVERVIEW_COMPLETE)** - For technical buyers

## 📦 **Ready to Use**
- **[reelcode](../../_CommonNPM/reelcode/README)** - Code standards tool (100% working)
- **[api_normalization](../../DEMO/web/modules/custom/api_normalization/README)** - API standards (95/100)
- **[llm module](../../DEMO/web/modules/custom/llm/README)** - AI platform (90/100)
- **[secure_drupal](../../DEMO/web/modules/custom/secure_drupal/README)** - Security (85/100)

## 🔧 **Fixable (2-3 days each)**
- **[secure_project](../../_CommonNPM/secure_project/README)** - Security framework
- **[bfapiclient](../../_CommonNPM/bfapiclient/README)** - API client

## 📋 **Implementation Guides**
- **[Private LLM Setup](../../_CommonNPM/bfdocs/docs/guides/private-llm-implementation)**
- **[Native Integration](../../_CommonNPM/bfdocs/docs/guides/NATIVE_INTEGRATION_METHODOLOGY)**
- **[Implementation Templates](../../_CommonNPM/bfdocs/docs/guides/IMPLEMENTATION_TEMPLATES)**

## ⚠️ **Strategically Archived**
8 NPM packages deliberately abandoned - see individual READMEs for alternatives using Drupal AI ecosystem.

---
*For complete navigation, see [Central Documentation Hub](../../_CommonNPM/bfdocs/docs/README)*
