---
id: projects-bfcli
---
# BFCLI - Developer CLI & Automation

Comprehensive CLI for platform management, CI/CD operations, and development workflows

## Project Information

- **Category**: Developer Tools
- **Repository**: [https://gitlab.bluefly.io/ecosystem/bfcli](https://gitlab.bluefly.io/ecosystem/bfcli)
- **Local Path**: `../bfcli`
\n- **Language**: TypeScript/Node.js\n- **Type**: cli-tool

## Documentation


### Local Documentation
The project documentation is available in the project directory:
- [View Local Docs](file://./_CommonNPM/bfcli/docs)
- Path: `./_CommonNPM/bfcli/docs`

### Available Documentation
**Primary**:\n  - README\n  - HOW_TO_USE\n\n**Guides**:\n  - DEPLOYMENT_GUIDE\n  - DDEV_DEPLOYMENT_GUIDE\n\n**Technical**:\n  - Typescript Commands\n  - Monitoring


## Integration with Platform

No specific integration details available.

## Quick Commands

```bash
# Navigate to project
cd ../bfcli

# View documentation
open ./_CommonNPM/bfcli/docs

# Start development
npm run dev
```

## Related Documentation

- [Platform Overview](/architecture/)
- [Integration Patterns](/integration/)
- [Development Guide](/development/)


---

*This is a reference page. The actual documentation is maintained in the [project repository](https://gitlab.bluefly.io/ecosystem/bfcli).*
