---
id: projects-bfui
---
# BFUI - React Component Library

React component library for AI platform interfaces and Experience Builder integration

## Project Information

- **Category**: Frontend
- **Repository**: [https://gitlab.bluefly.io/ecosystem/bfui](https://gitlab.bluefly.io/ecosystem/bfui)
- **Local Path**: `../bfui`
\n- **Language**: TypeScript/React\n- **Type**: component-library

## Documentation


### Local Documentation
The project documentation is available in the project directory:
- [View Local Docs](file://./_CommonNPM/bfui/docs)
- Path: `./_CommonNPM/bfui/docs`

### Available Documentation
Documentation structure not defined in config.


## Integration with Platform

No specific integration details available.

## Quick Commands

```bash
# Navigate to project
cd ../bfui

# View documentation
open ./_CommonNPM/bfui/docs

# Start development
# See project README for start command
```

## Related Documentation

- [Platform Overview](/architecture/)
- [Integration Patterns](/integration/)
- [Development Guide](/development/)


---

*This is a reference page. The actual documentation is maintained in the [project repository](https://gitlab.bluefly.io/ecosystem/bfui).*
